%define modname xdiff
%define soname %{modname}.so
%define inifile A64_%{modname}.ini

Name:		php-%{modname}
Version:	2.0.1
Release:	%mkrel 10
Summary:	File differences/patches
License:	PHP License
Group:		Development/PHP
URL:		http://pecl.php.net/package/xdiff
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires:	php-bz2
Requires:	php-hash
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4
BuildRequires:	php-devel >= 3:7.3.0
BuildRequires:	file
BuildRequires:	libxdiff-devel

%description
This extension creates and applies patches to both text and binary files.


%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc CREDITS README.API package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 2.0.1-10.mga7
+ Revision: 1595952
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 2.0.1-9.mga8
+ Revision: 1539007
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2.0.1-8.mga8
+ Revision: 1463549
+ rebuild (emptylog)

* Wed Dec 12 2018 mokraemer <mokraemer> 2.0.1-6.mga7
+ Revision: 1340498
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.1-5.mga7
+ Revision: 1325841
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-4.mga7
+ Revision: 1300253
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 2.0.1-3.mga7
+ Revision: 1217405
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 2.0.1-2.mga7
+ Revision: 1181001
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 2.0.1-1.mga7
+ Revision: 1177235
- new version

* Fri Feb 12 2016 umeabot <umeabot> 1.5.2-10.mga6
+ Revision: 958500
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-9.mga5
+ Revision: 747166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-8.mga5
+ Revision: 687562
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.5.2-7.mga5
+ Revision: 616599
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1.5.2-6.mga4
+ Revision: 567641
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.5.2-5.mga4
+ Revision: 527868
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.5.2-4.mga4
+ Revision: 442746
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.5.2-3.mga3
+ Revision: 393374
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.5.2-2.mga3
+ Revision: 377637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 spuhler <spuhler> 1.5.2-1.mga3
+ Revision: 274759
- upgrade to 1.5.2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.5.1-10.mga2
+ Revision: 223954
- httpd restart is handled by filetriggers now

* Wed Jan 11 2012 kamil <kamil> 1.5.1-9.mga2
+ Revision: 194870
- rebuild against new libxdiff 0.23
- clean spec

* Mon Feb 07 2011 spuhler <spuhler> 1.5.1-8.mga1
+ Revision: 48339
- removed buildroot definition from .spec
- imported package php-xdiff

